Package nl.tudelft.simulation.dsol.animation.gis.map

## Class Layer

- java.lang.Object
- - nl.tudelft.simulation.dsol.animation.gis.map.Layer

All Implemented Interfaces:
  `Serializable`, `LayerInterface`

    public class Layer
    extends Object
    implements LayerInterface

This is an implementation of the LayerInterface that just stores the basic metadata for each layer. The elements to draw are defined by a set of key - value pairs in the Feature. The Map implementation is a LinkedHashMap to enforce a reproducible order. The actual information of the objects in the layer (points, shapes) is contained in the DataSource.

Copyright (c) 2020-2022 Delft University of Technology, Jaffalaan 5, 2628 BX Delft, the Netherlands. All rights reserved. See for project information DSOL Manual. The DSOL project is distributed under a three-clause BSD-style license, which can be found at DSOL License.

Author:
  Alexander Verbraeck
See Also:
  Serialized Form

### Constructor Summary

Constructors
`Layer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFeature​(FeatureInterface feature)`
`List<FeatureInterface>` `getFeatures()`
`String` `getName()`
`boolean` `isDisplay()`
`boolean` `isTransform()`
`void` `setDisplay​(boolean status)`
`void` `setFeatures​(List<FeatureInterface> features)`
`void` `setName​(String name)`
`void` `setTransform​(boolean transform)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Layer

    public Layer()

### Method Detail

#### getFeatures

    public List<FeatureInterface> getFeatures()

Specified by:
  `getFeatures` in interface `LayerInterface`

#### setFeatures

    public void setFeatures​(List<FeatureInterface> features)

Specified by:
  `setFeatures` in interface `LayerInterface`

#### addFeature

    public void addFeature​(FeatureInterface feature)

Specified by:
  `addFeature` in interface `LayerInterface`

#### getName

    public String getName()

Specified by:
  `getName` in interface `LayerInterface`

#### setName

    public void setName​(String name)

Specified by:
  `setName` in interface `LayerInterface`

#### isDisplay

    public boolean isDisplay()

Specified by:
  `isDisplay` in interface `LayerInterface`

#### setDisplay

    public void setDisplay​(boolean status)

Specified by:
  `setDisplay` in interface `LayerInterface`

#### isTransform

    public boolean isTransform()

Specified by:
  `isTransform` in interface `LayerInterface`

#### setTransform

    public void setTransform​(boolean transform)

Specified by:
  `setTransform` in interface `LayerInterface`